package com.ryuuji.visual;

import com.ryuuji.visual.cZone.CZone;
import com.ryuuji.visual.pZone.PZone;
import com.ryuuji.visual.rZone.RZone;

import javax.swing.*;
import java.awt.*;

//import com.ryuuji.visual.rZone.RZone;

public class MainScreen extends JFrame {
    private JPanel mainPanel;
    private JButton zonaPersonas;
    private JButton zonaCursos;
    private JButton zonaReportes;

    /**
     * Inicia las ventanas y sus valores iniciales
     * llama a listeners()
     */
    public MainScreen() {
        setTitle("Colegio (2.1v)");
        mainPanel.setBackground(Color.WHITE);
        setContentPane(mainPanel);
        setDefaultCloseOperation(WindowConstants.EXIT_ON_CLOSE);
        listeners();
        setResizable(false);
        pack();
        setLocationRelativeTo(null);
        setVisible(true);
    }

    /**
     * Inicia los botones asignandoles sus imagenes
     */
    private void createUIComponents() {
        zonaCursos = new JButton(new ImageIcon("resources/z-cu.png"));
        zonaPersonas = new JButton(new ImageIcon("resources/z-pe.png"));
        zonaReportes = new JButton(new ImageIcon("resources/z-re.png"));
    }

    /**
     * Le añade un listener a cada boton indicando a que ventana ira
     * el boton zonaCursos llamara a la ventana CZone
     * el boton zonaPersonas llamara a la ventana PZone
     * el boton zonaReportes llamara a la ventana RZone
     */
    private void listeners() {
        zonaCursos.addActionListener(action -> {
            new CZone();
            dispose();
        });
        zonaPersonas.addActionListener(action -> {
            new PZone();
            dispose();
        });
        zonaReportes.addActionListener(action -> {
            new RZone();
            dispose();
        });
    }
}
